javax.lang.model.element

## Interface ExecutableElement

All Superinterfaces:
  Element

    public interface ExecutableElement
    extends Element

Represents a method, constructor, or initializer (static or instance) of a class or interface, including annotation type elements.

Since:
  1.6
See Also:
  `ExecutableType`

### Method Summary

Methods
`AnnotationValue` `getDefaultValue()` Returns the default value if this executable is an annotation type element.
`List<? extends VariableElement>` `getParameters()` Returns the formal parameters of this executable.
`TypeMirror` `getReturnType()` Returns the return type of this executable.
`List<? extends TypeMirror>` `getThrownTypes()` Returns the exceptions and other throwables listed in this method or constructor's `throws` clause in declaration order.
`List<? extends TypeParameterElement>` `getTypeParameters()` Returns the formal type parameters of this executable in declaration order.
`boolean` `isVarArgs()` Returns `true` if this method or constructor accepts a variable number of arguments and returns `false` otherwise.

### Methods inherited from interface javax.lang.model.element.Element

`accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

### Method Detail

#### getTypeParameters

    List<? extends TypeParameterElement> getTypeParameters()

Returns the formal type parameters of this executable in declaration order.

Returns:
  the formal type parameters, or an empty list if there are none

#### getReturnType

    TypeMirror getReturnType()

Returns the return type of this executable. Returns a `NoType` with kind `VOID` if this executable is not a method, or is a method that does not return a value.

Returns:
  the return type of this executable

#### getParameters

    List<? extends VariableElement> getParameters()

Returns the formal parameters of this executable. They are returned in declaration order.

Returns:
  the formal parameters, or an empty list if there are none

#### isVarArgs

    boolean isVarArgs()

Returns `true` if this method or constructor accepts a variable number of arguments and returns `false` otherwise.

Returns:
  `true` if this method or constructor accepts a variable number of arguments and `false` otherwise

#### getThrownTypes

    List<? extends TypeMirror> getThrownTypes()

Returns the exceptions and other throwables listed in this method or constructor's `throws` clause in declaration order.

Returns:
  the exceptions and other throwables listed in the `throws` clause, or an empty list if there are none

#### getDefaultValue

    AnnotationValue getDefaultValue()

Returns the default value if this executable is an annotation type element. Returns `null` if this method is not an annotation type element, or if it is an annotation type element with no default value.

Returns:
  the default value, or `null` if none

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.